GET Download Company Model in Excel Format

Description

Using this API you can download specific industry model as an excel file.


Request Format

GET https://app.daloopa.com/api/v2/download-company-model

Query Parameters

ItemData TypeRequiredDescription
isinString❌No*Company's ISIN identifier
company_idInteger❌No*Company's ID identifier
tickerString❌No*Company's ticker
model_typeString✅YesFormat of the output model
  • At least one of isin, company_id or ticker** must be provided to download company's model

Available model types:

  • clientview: Integrated Annuals without metadada and unit columns
  • clientview_with_source_unit_columns: Integrated Annuals with metadata and unit columns
  • clientview_snapshot: Separated Annuals without metadada and unit columns
  • clientview_snapshot_with_source_unit_columns: Separated Annuals with metadata and unit columns

Example Request

curl --request GET \
  --url 'https://app.daloopa.com/api/v2/download-company-model?isin=I_US00724F1012&model_type=clientview_with_source_unit_columns&[email protected]' \
  --header 'Authorization: Basic APIKEY'

Response

Status : 200

Output: JSON

Response Schema

ItemData TypeDescription
download_urlstringLink to download company's model, it expires in 30 seconds. File downloaded will be an Excel file with format .xlsx

Did this page help you?